<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Bootstrap Example</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<link
			rel="stylesheet"
			href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
		/>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	</head>

	<body>
		<div class="container">
			<div class="text-center my-4">
				<h2>Danh sách người dùng</h2>
			</div>

			<table class="table table-bordered table-striped table-hover" id="table">
				<thead>
					<tr>
						<th>Mã người dùng</th>
						<th>Firstname</th>
						<th>Lastname</th>
						<th>Age</th>
						<th>Action</th>
					</tr>
				</thead>
				<tbody></tbody>
			</table>
		</div>
		​
		<script>
			'use strict';
			/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
			var gJsonUser = `{
    "description": "Data user",
    "users": [
      {
        "userId": 1,
        "firstname": "Test1",
        "lastname": "User1",
        "age": 18
      },
      {
        "userId": 2,
        "firstname": "Test2",
        "lastname": "User2",
        "age": 19
      },
      {
        "userId": 3,
        "firstname": "Test3",
        "lastname": "User3",
        "age": 18
      },
      {
        "userId": 4,
        "firstname": "Test4",
        "lastname": "User4",
        "age": 20
      },
      {
        "userId": 5,
        "firstname": "Test5",
        "lastname": "User5",
        "age": 21
      },
      {
        "userId": 6,
        "firstname": "Test6",
        "lastname": "User6",
        "age": 20
      }
    ]
  }`;

			var gUserObj = JSON.parse(gJsonUser);
			/*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
			$(document).ready(function () {
				onPageLoading();
			});
			/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
			function onPageLoading() {
				loadUserToTable(gUserObj.users);
			}

			function onBtnDetailClick(paramUserDetail) {
				var vId = $(paramUserDetail).data('userid');
				var vFirstNmae = $(paramUserDetail).data('firstname');
				var vLastName = $(paramUserDetail).data('lastname');
				var vAge = $(paramUserDetail).data('age');

				console.log(vId);
				console.log(vFirstNmae);
				console.log(vLastName);
				console.log(vAge);
			}
			/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
			function loadUserToTable(paramUserObj) {
				var vTableUsers = $('#table');
				for (var bI = 0; bI < paramUserObj.length; bI++) {
					var bNewRow = $('<tr>').appendTo(vTableUsers);
					$('<td>').html(paramUserObj[bI].userId).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].firstname).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].lastname).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].age).appendTo(bNewRow);
					var bAction = $('<td>').appendTo(bNewRow);
					$('<button>', {
						html: 'chi tiet',
						class: 'btn btn-info',
					})
						.click(function () {
							onBtnDetailClick(this);
						})
						.data('userid', paramUserObj[bI].userId)
						.data('firstname', paramUserObj[bI].firstname)
						.data('lastname', paramUserObj[bI].lastname)
						.data('age', paramUserObj[bI].age)
						.appendTo(bAction);
				}
			}
		</script>
	</body>
</html>
​
